#
# spec file for package python3-termcolor
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-termcolor
Version:        1.1.0
Release:        8.1
Url:            http://pypi.python.org/pypi/termcolor
Summary:        ANSII Color formatting for output in terminal
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/t/termcolor/termcolor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildArch:      noarch

%description
Available text colors: grey, red, green, yellow, blue, magenta, cyan, white.
Available text highlights: on_grey, on_red, on_green, on_yellow, on_blue, on_magenta, on_cyan, on_white.
Available attributes: bold, dark, underline, blink, reverse, concealed.

%prep
%setup -q -n termcolor-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYING.txt README.rst
%{python3_sitelib}/*

%changelog
* Tue Jan 15 2013 p.drouand@gmail.com
- Initial python3 support
